Subject: [bug#48291] [PATCH] - updated lisp library unix-opts.

From: Maxime Devos <[email-masked]>
Date: Sat, 08 May 2021 23:28:11 +0200

cage schreef op za 08-05-2021 om 19:29 [+0200]:
> Hi!
> 
> I found this library outdated, this patch makes guix uses a commit with
> new features added.

There is a strong preference for only using versions that are ‘official releases’
‘blessed’ by upstream, and not some random commit, unless there are compelling
reasons to do otherwise.

I see the 0.1.7 commit dates from 2017.  If there are new features and/or bug fixes,
maybe ask upstream to make a new release?  If there are important bug fixes and
upstream doesn't feel ready for a new release, we can cherry-pick the bug fixes
via the 'patches' mechanism.

Or maybe we could just use the commit, I dunno. But then a comment should be added
explaining why a particular commit is used instead of an official release.

Greetings,
Maxime.